Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.tcp.sampler
Class LengthPrefixedBinaryTCPClientImpl

    java.lang.Object
      org.apache.jmeter.protocol.tcp.sampler.AbstractTCPClient
          org.apache.jmeter.protocol.tcp.sampler.TCPClientDecorator
              org.apache.jmeter.protocol.tcp.sampler.LengthPrefixedBinaryTCPClientImpl

All Implemented Interfaces:
  TCPClient

public class LengthPrefixedBinaryTCPClientImpl
extends TCPClientDecorator

Implements binary length-prefixed binary data. This is used in ISO8583 for example.

Field Summary

Fields inherited from class org.apache.jmeter.protocol.tcp.sampler.TCPClientDecorator
`tcpClient`

Fields inherited from class org.apache.jmeter.protocol.tcp.sampler.AbstractTCPClient
`eolByte, useEolByte`

Constructor Summary
`LengthPrefixedBinaryTCPClientImpl()`

Method Summary
`byte` | `getEolByte()` Not useful, as the byte is never used.
`String` | `read(InputStream is)`
`void` | `setEolByte(int eolInt)` Set the end-of-line/end-of-message byte.
`void` | `write(OutputStream os, InputStream is)`
`void` | `write(OutputStream os, String s)`

Methods inherited from class org.apache.jmeter.protocol.tcp.sampler.TCPClientDecorator
`byteArrayToInt, intToByteArray`

Methods inherited from class org.apache.jmeter.protocol.tcp.sampler.AbstractTCPClient
`setupTest, teardownTest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LengthPrefixedBinaryTCPClientImpl

    public LengthPrefixedBinaryTCPClientImpl()

Method Detail

### write

    public void write(OutputStream os,
                      String s)

  Parameters:
    `os` - - OutputStream for socket
    `s` - - String to write

### write

    public void write(OutputStream os,
                      InputStream is)

  Parameters:
    `os` - - OutputStream for socket
    `is` - - InputStream to be written to Socket

### read

    public String read(InputStream is)

  Parameters:
    `is` - - InputStream for socket
  Returns:
    String read from socket

### getEolByte

    public byte getEolByte()

  Not useful, as the byte is never used.

  Specified by:
    `getEolByte` in interface `TCPClient`
  Overrides:
    `getEolByte` in class `AbstractTCPClient`
  Returns:
    Returns the eolByte.

### setEolByte

    public void setEolByte(int eolInt)

  Description copied from interface: `TCPClient`
  Set the end-of-line/end-of-message byte. If the value is out of range of a byte, then it is to be ignored.

  Specified by:
    `setEolByte` in interface `TCPClient`
  Overrides:
    `setEolByte` in class `AbstractTCPClient`
  Parameters:
    `eolInt` - The eolByte to set.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.